# Quick Start

Our base domain URL is `https://api.dotapparel.io`. Before you get started, please make sure you have an account with us. If you do not have an account, please reach out to us to request an admin account.

## Get your API keys

Our API uses basic authentication with username and password. To authenticate your requests, include your username and password as a header in your HTTP requests.

`Authorization: Basic <YOUR_API_KEY>`

Please note that all API requests must be made over HTTPS.

## Make your first request

To make your first API request, you will need to specify the API endpoint and any required parameters.&#x20;

{% hint style="info" %}
Make sure to include your username and password in the request header as described in the Authentication section above, as well as the `X-DotApparel-Name` header with the correct value for your account.
{% endhint %}

For example, if you want to retrieve a list of all stores, you can make a GET request to the following endpoint:

{% openapi src="<https://api-dotdev-dotapparel21-au.web.app/docs-json>" path="/stores" method="get" %}
<https://api-dotdev-dotapparel21-au.web.app/docs-json>
{% endopenapi %}

{% hint style="info" %}
You may want to consider using Postman to create your own requests or you can quickly view the API by using the following curl command.
{% endhint %}

Take a look at how you might call this method using via `curl`:

{% tabs %}
{% tab title="curl" %}

```
curl -X 'GET' \
  'https://api.dotapparel.io/stores' \
  -H 'accept: application/json' \
  -H 'X-DotApparel-Name: YOUR_VALUE' \
  -H 'Authorization: Basic YOUR_API_KEY'
```

{% endtab %}
{% endtabs %}

If successful, the API will return a JSON object containing the list of stores.

That's it! You're now ready to start exploring our API documentation and building your own applications. If you have any questions or need further assistance, please do not hesitate to reach out to us at <support@dotapparel.com.au>. Happy coding!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.dotapparel.com.au/api/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
